Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class UnsupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.openjpa.util.OpenJPAException
                      org.apache.openjpa.util.UnsupportedException

All Implemented Interfaces:
  Serializable, ExceptionInfo

    public class UnsupportedException

extends OpenJPAException

Exception type for attempts to perform unsupported operations.

Since:
  0.2.5
Author:
  Marc Prud'hommeaux
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.openjpa.util.ExceptionInfo
`GENERAL, INTERNAL, STORE, UNSUPPORTED, USER`

Constructor Summary
`UnsupportedException()`
`UnsupportedException(Localizer.Message msg)`
`UnsupportedException(Localizer.Message msg, Throwable cause)`
`UnsupportedException(String msg)`

Method Summary
`int` | `getType()` Exception type.

Methods inherited from class org.apache.openjpa.util.OpenJPAException
`getCause, getFailedObject, getNestedThrowables, getSubtype, isFatal, printStackTrace, printStackTrace, printStackTrace, setCause, setFailedObject, setFatal, setNestedThrowables, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.util.ExceptionInfo
`getMessage`

Constructor Detail

### UnsupportedException

    public UnsupportedException()

### UnsupportedException

    public UnsupportedException(String msg)

### UnsupportedException

    public UnsupportedException(Localizer.Message msg)

### UnsupportedException

    public UnsupportedException(Localizer.Message msg,
                                Throwable cause)

Method Detail

### getType

    public int getType()

  Description copied from class: `OpenJPAException`
  Exception type.

  Specified by:
    `getType` in interface `ExceptionInfo`
  Specified by:
    `getType` in class `OpenJPAException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.